#
# spec file for package asterisk (Version 1.6.1.22)
#
#
#!BuildIgnore:          post-build-checks
# norootforbuild

%define         origname     asterisk

Name:           asterisk161
BuildRequires:  alsa-devel curl-devel expat gcc-c++ libgsm-devel libtiff-devel speex-devel unixODBC-devel wget 
BuildRequires: libpri
BuildRequires: dahdi-linux-kmp-default dahdi-linux dahdi-linux-devel dahdi-tools libtonezone-devel
%if 0%{?sles_version} > 10
BuildRequires: mISDNuser mISDNuser-devel
%else
BuildRequires: mISDN mISDN-devel mISDNuser mISDNuser-devel
%endif
BuildRequires: alsa-lib-devel
BuildRequires: bison
BuildRequires: bluez-libs
BuildRequires: doxygen
BuildRequires: libogg-devel
BuildRequires: termcap
BuildRequires: libvorbis-devel
BuildRequires: m4
BuildRequires: ncurses-devel
BuildRequires: net-snmp-devel
BuildRequires: newt-devel
BuildRequires: openssl-devel
BuildRequires: libspandsp1 spandsp-devel
BuildRequires: autoconf openldap2 openldap2-devel
Buildrequires: iksemel unixODBC iksemel-devel 
Buildrequires: postgresql-devel postgresql-server tcpd tcpd-devel libss7-devel

Requires: newt ncurses postgresql-libs openldap2  
Requires: postgresql-server

PreReq:      pwdutils coreutils sed grep

%if 0%{?suse_version} >= 1100
Requires:      perl >= 5.10 
%endif

%ifnarch s390 s390x
BuildRequires: dahdi-linux-kmp-default dahdi-linux dahdi-linux-devel dahdi-tools libtonezone-devel
%endif

URL:            http://www.asterisk.org
%define       build_h323 0
Summary:        The Asterisk Open Source PBX
Version:        1.6.1.22
Release:        2.19
License:        BSD License and BSD-like, GNU General Public License (GPL)
PreReq:         /usr/sbin/useradd
Group:          Productivity/Telephony/Servers
Source0:	%origname-%version.tar.bz2
Source1:	asterisk-extra-sounds-en-gsm-1.4.11.tar.gz
Source2:	asterisk-core-sounds-en-gsm-1.4.20.tar.gz
Source3:        asterisk-extra-sounds-en-gsm-1.4.11.tar.gz.sha1
Source4:        asterisk-core-sounds-en-gsm-1.4.20.tar.gz.sha1
Source5:	asterisk-moh-opsound-wav-2.03.tar.gz.sha1
Patch0:         asterisk161.patch
Patch1:		asterisk161-suse-init.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build



%description
Asterisk is a complete PBX in software. It provides all of the features
you would expect from a PBX and more. Asterisk does voice over IP in
three protocols and can interoperate with almost all standards-based
telephony equipment using relatively inexpensive hardware.

Asterisk provides voicemail services with directory, call conferencing,
interactive voice response, and call queuing. It has support for
three-way calling, caller ID services, ADSI, SIP, and H.323 (as both
client and gateway).

Documentation is available on the Asterisk home page
(http://www.asterisk.org) and on the Asterisk wiki
(http://www.voip-info.org/wiki-Asterisk).



Authors:
--------
    Mark Spencer <markster@digium.com>

%if %{build_h323}
BuildRequires: cyrus-sasl-devel
BuildRequires: openh323-devel
BuildRequires: openldap-devel
BuildRequires: SDL-devel
%endif

#%debug_package
%package alsa
Summary:        Soundcard Module for Asterisk
Group:          Productivity/Telephony/Servers
PreReq:         asterisk161

%description alsa
This package allows Asterisk to use a soundcard supported by ALSA as a
telephone.



Authors:
--------
    Mark Spencer <markster@digium.com>

%if %build_h323
%package h323
Summary:        Voice over IP Module for Asterisk
Group:          Productivity/Telephony/Servers
PreReq:         asterisk

%description h323
This package adds support for the H.323 voice over IP (VoIP) protocol
to Asterisk.

Support for the SIP and IAX2 protocols is included in the asterisk base
package.



Authors:
--------
    Mark Spencer <markster@digium.com>

%endif
%package odbc
Summary:        Database Module for Asterisk
Group:          Productivity/Telephony/Servers
PreReq:         asterisk161

%description odbc
This package allows Asterisk to use read configuration data from, and
write call logs to ODBC databases.



Authors:
--------
    Mark Spencer <markster@digium.com>

%if ! 0%{?suse_version} == 1010
%package pgsql
Summary:        Database Module for Asterisk
Group:          Productivity/Telephony/Servers
PreReq:         asterisk161

%description pgsql
This package allows Asterisk to use read configuration data from, and
write call logs to PostgreSQL databases.



Authors:
--------
    Mark Spencer <markster@digium.com>
%endif

%package dahdi
Summary:        Telephony Hardware Module for Asterisk
Group:          Productivity/Telephony/Servers
PreReq:         asterisk161

%description dahdi
This module allows Asterisk to use telephony hardware that is supported
by the dahdi kernel drivers. Supported hardware ranges from FXO and
FXS cards over ISDN BRI cards to T1, and E1 cards with up to four
interfaces.

See the dahdi package for details.



Authors:
--------
    Mark Spencer <markster@digium.com>
%package devel
Summary: Development files for Asterisk
Group:   Development/Libraries
PreReq: asterisk161

%description devel
This package contains the header files and libraries necessary for
developing applications which use asterisk.

Install asterisk-devel if you want to develop applications which depend on
asterisk.

Authors:
--------
    Mark Spencer <markster@digium.com>

%prep
%setup -n %origname-%{version}
cp %{S:1} $RPM_BUILD_DIR/%origname-%{version}/sounds/
cp %{S:2} $RPM_BUILD_DIR/%origname-%{version}/sounds/
cp %{S:3} $RPM_BUILD_DIR/%origname-%{version}/sounds/
cp %{S:4} $RPM_BUILD_DIR/%origname-%{version}/sounds/
cp %{S:5} $RPM_BUILD_DIR/%origname-%{version}/sounds/

%patch0 -p0
%patch1 -p0

%build
./bootstrap.sh
%configure
%{__make} menuselect.makeopts
echo "MENUSELECT_EXTRA_SOUNDS=EXTRA-SOUNDS-EN-GSM" >> menuselect.makeopts
%{__make} %{?_smp_mflags}


%install
%{__make} install DESTDIR=%{buildroot}
%{__make} samples DESTDIR=%{buildroot}

%{__install} -p -m 0644 include/asterisk.h %{buildroot}%{_includedir}
%{__install} -D -p -m 0755 contrib/init.d/rc.suse.asterisk %{buildroot}%{_initrddir}/asterisk161

# get rid of stuff we really don't need - maybe put it in %doc
#
%{__rm} -f %{buildroot}%{_localstatedir}/lib/asterisk/moh/.asterisk-moh-freeplay-wav 2>/dev/null
%{__rm} -f %{buildroot}%{_localstatedir}/lib/asterisk/sounds/.asterisk-core-sounds-en-gsm-* 2>/dev/null
%{__rm} -f %{buildroot}%{_localstatedir}/lib/asterisk/sounds/.asterisk-core-sounds-en-gsm-1.4.6 2>/dev/null
%{__rm} -f %{buildroot}%{_localstatedir}/lib/asterisk/sounds/.asterisk-core-sounds-en-gsm-1.4.7 2>/dev/null
%{__rm} -f %{buildroot}%{_localstatedir}/lib/asterisk/sounds/.asterisk-extra-sounds-en-gsm-* 2>/dev/null
# %{__rm} -rf %{buildroot}%{_localstatedir}/lib/asterisk/static-http 2>/dev/null
# %{__rm} -f %{buildroot}%{_localstatedir}/lib/asterisk/agi-bin/* 2>/dev/null
%{__rm} -f %{buildroot}%{_localstatedir}/lib/asterisk/sounds/.asterisk-core-sounds-en-gsm-1.4.8
%{__rm} -f %{buildroot}%{_localstatedir}/lib/asterisk/sounds/.asterisk-core-sounds-en-gsm-1.4.15
%{__rm} -rf %{buildroot}%{_localstatedir}/lib/asterisk/moh/.asterisk-moh-opsound-wav*

%pre
/usr/sbin/groupadd -g 330 -r asterisk &>/dev/null || :
/usr/sbin/useradd  -u 330 -r -s /sbin/false -d /var/lib/asterisk -M          \
                               -c 'Asterisk PBX' -g asterisk asterisk &>/dev/null || :

%post
/sbin/chkconfig --add asterisk
mkdir -p -m 0775 /var/run/asterisk
chown asterisk:asterisk /var/run/asterisk
chown asterisk:asterisk /var/log/asterisk
mv /etc/asterisk/manager.conf /etc/asterisk/manager.conf.bak && cat /etc/asterisk/manager.conf.bak | grep -v 'webenabled' | sed -e '/\[general\]/awebenabled = yes' > /etc/asterisk/manager.conf

%preun
%stop_on_removal
if [ $1 -eq 0 ]; then
    /sbin/service asterisk stop &> /dev/null || :
    /sbin/chkconfig --del asterisk
fi


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc BUGS CHANGES ChangeLog COPYING CREDITS doc/* configs LICENSE sample.call README* *.txt
%doc static-http 

%{_initrddir}/asterisk161

%dir %{_libdir}/asterisk
%dir %{_libdir}/asterisk/modules
%{_libdir}/asterisk/modules/*

%{_localstatedir}/lib/asterisk/moh/*
%{_localstatedir}/lib/asterisk/static-http/*
%{_localstatedir}/lib/asterisk/agi-bin/*
%{_localstatedir}/lib/asterisk/firmware/*
%{_localstatedir}/lib/asterisk/images/*
%{_localstatedir}/lib/asterisk/keys/*
%{_localstatedir}/lib/asterisk/sounds/*


%{_sbindir}/aelparse
%{_sbindir}/asterisk
%{_sbindir}/astgenkey
%{_sbindir}/astman
%{_sbindir}/autosupport
%{_sbindir}/muted
%{_sbindir}/rasterisk
%{_sbindir}/safe_asterisk
%{_sbindir}/smsq
%{_sbindir}/stereorize
%{_sbindir}/streamplayer
%{_sbindir}/astcanary
##%{_sbindir}/check_expr
%{_sbindir}/conf2ael
%{_sbindir}/hashtest
%{_sbindir}/hashtest2
%{_sbindir}/refcounter
/var/lib/asterisk/phoneprov/000000000000-directory.xml
/var/lib/asterisk/phoneprov/000000000000-phone.cfg
/var/lib/asterisk/phoneprov/000000000000.cfg
/var/lib/asterisk/phoneprov/polycom.xml
/var/lib/asterisk/phoneprov/polycom_line.xml

%{_mandir}/man8/asterisk.8*
%{_mandir}/man8/astgenkey.8*
%{_mandir}/man8/autosupport.8*
%{_mandir}/man8/safe_asterisk.8*
/var/spool/asterisk/voicemail/*

%dir %{_sysconfdir}/asterisk
%config(noreplace) %{_sysconfdir}/asterisk/*

%files alsa
%defattr(-,root,root,-)
%{_libdir}/asterisk/modules/*alsa*
%config(noreplace)%attr(640,asterisk,root)/etc/asterisk/alsa.conf
%if %build_h323

%files h323
%defattr(-,root,root,-)
%{_libdir}/asterisk/modules/*h323*
%config(noreplace)%attr(640,asterisk,root)/etc/asterisk/h323.conf
%endif

%files odbc
%defattr(-,root,root,-)
%{_libdir}/asterisk/modules/*odbc*
%config(noreplace)%attr(640,asterisk,root)/etc/asterisk/*odbc*

%if ! 0%{?suse_version} == 1010
%files pgsql
%defattr(-,root,root,-)
%{_libdir}/asterisk/modules/*pgsql*
%config(noreplace)%attr(640,asterisk,root)/etc/asterisk/*pgsql*
%endif

%files dahdi
%defattr(-,root,root,-)
%{_libdir}/asterisk/modules/*zap*
%{_libdir}/asterisk/modules/*dah*
#%config(noreplace)%attr(640,asterisk,root)/etc/asterisk/zapata.conf

%files devel
%defattr(-,root,root,-)
%dir %{_includedir}/asterisk
%{_includedir}/asterisk.h
%{_includedir}/asterisk/*.h


%changelog -n asterisk161
* Wed Feb 23 2011 Carsten Schoene <cs@linux-administrator.com> - 1.6.1.22-1
- update to release 1.6.1.22

* Wed Jun 02 2010 Carsten Schoene <cs@linux-administrator.com> - 1.6.1.20-1
- update to release 1.6.1.20

* Wed Mar 10 2010 Carsten Schoene <cs@linux-administrator.com> - 1.6.1.17-1
- update to release 1.6.1.17

* Sat Feb 20 2010 Carsten Schoene <cs@linux-administrator.com> - 1.6.1.16-1
- update to release 1.6.1.16

* Tue Feb 16 2010 Carsten Schoene <cs@linux-administrator.com> - 1.6.1.14-1
- update to release 1.6.1.14

* Wed Dec 16 2009 Carsten Schoene <cs@linux-administrator.com> - 1.6.1.11-1
- update to release 1.6.1.11

* Fri Nov 06 2009 Carsten Schoene <cs@linux-administrator.com> - 1.6.1.9-1
- update to release 1.6.1.9
 - added extra sounds

* Sat Sep 05 2009 Carsten Schoene <cs@linux-administrator.com> - 1.6.1.6-1
- update to release 1.6.1.6
 - These releases have been created in response to an IAX2 denial of service vulnerability. AST-2009-006,

* Sun Aug 30 2009 Carsten Schoene <cs@linux-administrator.com> - 1.6.1.5-1
- update to release 1.6.1.5

* Tue Aug 11 2009 Carsten Schoene <cs@linux-administrator.com> - 1.6.1.4-1
- update to release 1.6.1.4
 - This release fixes remote crash security vulnerability in the SIP stack AST-2009-005

* Mon Aug 03 2009 Carsten Schoene <cs@linux-administrator.com> - 1.6.1.2-1
- update to release 1.6.1.2

* Sat Jun 06 2009 Carsten Schoene <cs@linux-administrator.com> - 1.6.1.1-1
- update to release 1.6.1.1

* Wed Apr 29 2009 Carsten Schoene <cs@linux-administrator.com> - 1.6.1.0-1
- initial release of 1.6.1.x BRANCH
